- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Code_Gen Class Reference

`#include <PSDL_Code_Gen.h>`

Collaboration diagram for TAO_PSDL_Code_Gen:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Code_Gen (CORBA::ORB_ptr orb)
| ~TAO_PSDL_Code_Gen (void)
int | set_codec (void)
int | set_name_obj_ref (const char *name, const char *string_obj_ref) throw (CORBA::SystemException)
const char * | get_obj_ref (const char *name) throw (CORBA::SystemException)
## Private Member Functions
CORBA::OctetSeq * | encode (const char *string_obj_ref) throw (CORBA::SystemException)
const char * | decode (const CORBA::OctetSeq &data) throw (CORBA::SystemException)
| Helper method to get the octet sequence.
## Private Attributes
const char * | file_name_
| File where the persistent data is stored.
TAO_PSDL_Datastore * | psdl_datastore_
| Pointer to the class which accesses the database.
CORBA::ORB_var | orb_
| Pointer to ORB.
IOP::Codec_var | codec_

## Constructor & Destructor Documentation

TAO_PSDL_Code_Gen::TAO_PSDL_Code_Gen | ( | CORBA::ORB_ptr | orb | ) |

TAO_PSDL_Code_Gen::~TAO_PSDL_Code_Gen | ( | void |  | ) |

## Member Function Documentation

const char * TAO_PSDL_Code_Gen::decode | ( | const CORBA::OctetSeq & | data | ) | throw (CORBA::SystemException)`[private]`

Helper method to get the octet sequence.

CORBA::OctetSeq * TAO_PSDL_Code_Gen::encode | ( | const char * | string_obj_ref | ) | throw (CORBA::SystemException)`[private]`

Helper method which serializes the data and saves it to the database.

const char * TAO_PSDL_Code_Gen::get_obj_ref | ( | const char * | name | ) | throw (CORBA::SystemException)

Get the stringified form of the object reference given the name of the object.

int TAO_PSDL_Code_Gen::set_codec | ( | void |  | ) |

Initializes a IOP::CodecFactory and IOP::Codec to take care of the marshalling and demarshalling of data.

int TAO_PSDL_Code_Gen::set_name_obj_ref | ( | const char * | name,
|  | const char * | string_obj_ref |
| ) |  |  | throw (CORBA::SystemException)

Method to save the name-stringified object reference pair to the database. Returns -1 on failure.

## Member Data Documentation

IOP::Codec_var TAO_PSDL_Code_Gen::codec_`[private]`

CDR encapsulation codec useful for encoding and decoding the data

const char* TAO_PSDL_Code_Gen::file_name_`[private]`

File where the persistent data is stored.

CORBA::ORB_var TAO_PSDL_Code_Gen::orb_`[private]`

Pointer to ORB.

TAO_PSDL_Datastore* TAO_PSDL_Code_Gen::psdl_datastore_`[private]`

Pointer to the class which accesses the database.

The documentation for this class was generated from the following files:

- PSDL_Code_Gen.h
- PSDL_Code_Gen.cpp